<?php
/*
Plugin Name: Update Unique Keys
Plugin URI: http://passavanti.name/wordpress-update-unique-keys
Description: This plugin will automatically set and/or update the Authenication Unique Keys in the wp-config.php file.
Version: 1.0.2
Author: Brian Passavanti
Author URI: http://passavanti.name

Copyright 2010  BRIAN_PASSAVANTI  (email : gottaloveit@gmail.com)

This program is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 2 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
*/

$plugin_name = 'updateuniquekeys';
$plugin_file = $plugin_name.'.php';
$plugin_class = $plugin_name;
$plugin_class_file = $plugin_name.'.class.php'; 
$plugin_prefix = $plugin_name.'_';
$plugin_dir = get_bloginfo('url').'/wp-content/plugins/update-unique-keys';

if (!class_exists($plugin_class)) {
	require_once(dirname(__FILE__).'/'.$plugin_class_file);
}

if (class_exists($plugin_class)) {
	$uuk_plugin = new $plugin_class($plugin_prefix, $plugin_name, $plugin_dir);
}

if(isset($uuk_plugin)){
	add_action('admin_menu', array($uuk_plugin,'ActionAdminMenu'));
}

?>